_global_openconfig_bgp_nsp = 'http://openconfig.net/yang/bgp'
_global_openconfig_bgp_multiprotocol_nsp = 'http://openconfig.net/yang/bgp-multiprotocol'
_global_openconfig_bgp_operational_nsp = 'http://openconfig.net/yang/bgp-operational'
_global_openconfig_bgp_policy_nsp = 'http://openconfig.net/yang/bgp-policy'
_global_openconfig_bgp_types_nsp = 'http://openconfig.net/yang/bgp-types'
_global_openconfig_extensions_nsp = 'http://openconfig.net/yang/openconfig-ext'
_global_openconfig_if_aggregate_nsp = 'http://openconfig.net/yang/interface/aggregate'
_global_openconfig_if_ethernet_nsp = 'http://openconfig.net/yang/interfaces/ethernet'
_global_openconfig_if_ip_nsp = 'http://openconfig.net/yang/interfaces/ip'
_global_openconfig_interfaces_nsp = 'http://openconfig.net/yang/interfaces'
_global_openconfig_mpls_nsp = 'http://openconfig.net/yang/mpls'
_global_openconfig_mpls_igp_nsp = 'http://openconfig.net/yang/mpls'
_global_openconfig_mpls_ldp_nsp = 'http://openconfig.net/yang/ldp'
_global_openconfig_mpls_rsvp_nsp = 'http://openconfig.net/yang/rsvp'
_global_openconfig_mpls_sr_nsp = 'http://openconfig.net/yang/sr'
_global_openconfig_mpls_static_nsp = 'http://openconfig.net/yang/mpls'
_global_openconfig_mpls_te_nsp = 'http://openconfig.net/yang/mpls'
_global_openconfig_mpls_types_nsp = 'http://openconfig.net/yang/mpls-types'
_global_openconfig_platform_nsp = 'http://openconfig.net/yang/platform'
_global_openconfig_platform_transceiver_nsp = 'http://openconfig.net/yang/platform/transceiver'
_global_openconfig_platform_types_nsp = 'http://openconfig.net/yang/platform-types'
_global_openconfig_policy_types_nsp = 'http://openconfig.net/yang/policy-types'
_global_openconfig_routing_policy_nsp = 'http://openconfig.net/yang/routing-policy'
_global_openconfig_telemetry_nsp = 'http://openconfig.net/yang/telemetry'
_global_openconfig_transport_types_nsp = 'http://openconfig.net/yang/transport-types'
_global_openconfig_types_nsp = 'http://openconfig.net/yang/openconfig-types'
_global_openconfig_vlan_nsp = 'http://openconfig.net/yang/vlan'
_namespaces = { \
    'openconfig-bgp' : 'http://openconfig.net/yang/bgp', 
    'openconfig-bgp-multiprotocol' : 'http://openconfig.net/yang/bgp-multiprotocol', 
    'openconfig-bgp-operational' : 'http://openconfig.net/yang/bgp-operational', 
    'openconfig-bgp-policy' : 'http://openconfig.net/yang/bgp-policy', 
    'openconfig-bgp-types' : 'http://openconfig.net/yang/bgp-types', 
    'openconfig-extensions' : 'http://openconfig.net/yang/openconfig-ext', 
    'openconfig-if-aggregate' : 'http://openconfig.net/yang/interface/aggregate', 
    'openconfig-if-ethernet' : 'http://openconfig.net/yang/interfaces/ethernet', 
    'openconfig-if-ip' : 'http://openconfig.net/yang/interfaces/ip', 
    'openconfig-interfaces' : 'http://openconfig.net/yang/interfaces', 
    'openconfig-mpls' : 'http://openconfig.net/yang/mpls', 
    'openconfig-mpls-igp' : 'http://openconfig.net/yang/mpls', 
    'openconfig-mpls-ldp' : 'http://openconfig.net/yang/ldp', 
    'openconfig-mpls-rsvp' : 'http://openconfig.net/yang/rsvp', 
    'openconfig-mpls-sr' : 'http://openconfig.net/yang/sr', 
    'openconfig-mpls-static' : 'http://openconfig.net/yang/mpls', 
    'openconfig-mpls-te' : 'http://openconfig.net/yang/mpls', 
    'openconfig-mpls-types' : 'http://openconfig.net/yang/mpls-types', 
    'openconfig-platform' : 'http://openconfig.net/yang/platform', 
    'openconfig-platform-transceiver' : 'http://openconfig.net/yang/platform/transceiver', 
    'openconfig-platform-types' : 'http://openconfig.net/yang/platform-types', 
    'openconfig-policy-types' : 'http://openconfig.net/yang/policy-types', 
    'openconfig-routing-policy' : 'http://openconfig.net/yang/routing-policy', 
    'openconfig-telemetry' : 'http://openconfig.net/yang/telemetry', 
    'openconfig-transport-types' : 'http://openconfig.net/yang/transport-types', 
    'openconfig-types' : 'http://openconfig.net/yang/openconfig-types', 
    'openconfig-vlan' : 'http://openconfig.net/yang/vlan', 
}

_identity_map = { \
    ('openconfig-bgp-types', 'ADD-PATHS'):('ydk.models.openconfig.openconfig_bgp_types', 'AddPathsIdentity'),
    ('openconfig-bgp-types', 'afi-safi-type'):('ydk.models.openconfig.openconfig_bgp_types', 'AfiSafiTypeIdentity'),
    ('openconfig-bgp-types', 'ASN32'):('ydk.models.openconfig.openconfig_bgp_types', 'Asn32Identity'),
    ('openconfig-bgp-types', 'bgp-capability'):('ydk.models.openconfig.openconfig_bgp_types', 'BgpCapabilityIdentity'),
    ('openconfig-bgp-types', 'bgp-well-known-std-community'):('ydk.models.openconfig.openconfig_bgp_types', 'BgpWellKnownStdCommunityIdentity'),
    ('openconfig-bgp-types', 'GRACEFUL-RESTART'):('ydk.models.openconfig.openconfig_bgp_types', 'GracefulRestartIdentity'),
    ('openconfig-bgp-types', 'IPV4-LABELLED-UNICAST'):('ydk.models.openconfig.openconfig_bgp_types', 'Ipv4LabelledUnicastIdentity'),
    ('openconfig-bgp-types', 'IPV4-UNICAST'):('ydk.models.openconfig.openconfig_bgp_types', 'Ipv4UnicastIdentity'),
    ('openconfig-bgp-types', 'IPV6-LABELLED-UNICAST'):('ydk.models.openconfig.openconfig_bgp_types', 'Ipv6LabelledUnicastIdentity'),
    ('openconfig-bgp-types', 'IPV6-UNICAST'):('ydk.models.openconfig.openconfig_bgp_types', 'Ipv6UnicastIdentity'),
    ('openconfig-bgp-types', 'L2VPN-EVPN'):('ydk.models.openconfig.openconfig_bgp_types', 'L2VpnEvpnIdentity'),
    ('openconfig-bgp-types', 'L2VPN-VPLS'):('ydk.models.openconfig.openconfig_bgp_types', 'L2VpnVplsIdentity'),
    ('openconfig-bgp-types', 'L3VPN-IPV4-MULTICAST'):('ydk.models.openconfig.openconfig_bgp_types', 'L3VpnIpv4MulticastIdentity'),
    ('openconfig-bgp-types', 'L3VPN-IPV4-UNICAST'):('ydk.models.openconfig.openconfig_bgp_types', 'L3VpnIpv4UnicastIdentity'),
    ('openconfig-bgp-types', 'L3VPN-IPV6-MULTICAST'):('ydk.models.openconfig.openconfig_bgp_types', 'L3VpnIpv6MulticastIdentity'),
    ('openconfig-bgp-types', 'L3VPN-IPV6-UNICAST'):('ydk.models.openconfig.openconfig_bgp_types', 'L3VpnIpv6UnicastIdentity'),
    ('openconfig-bgp-types', 'MPBGP'):('ydk.models.openconfig.openconfig_bgp_types', 'MpbgpIdentity'),
    ('openconfig-bgp-types', 'NO_ADVERTISE'):('ydk.models.openconfig.openconfig_bgp_types', 'No_AdvertiseIdentity'),
    ('openconfig-bgp-types', 'NO_EXPORT'):('ydk.models.openconfig.openconfig_bgp_types', 'No_ExportIdentity'),
    ('openconfig-bgp-types', 'NO_EXPORT_SUBCONFED'):('ydk.models.openconfig.openconfig_bgp_types', 'No_Export_SubconfedIdentity'),
    ('openconfig-bgp-types', 'NOPEER'):('ydk.models.openconfig.openconfig_bgp_types', 'NopeerIdentity'),
    ('openconfig-bgp-types', 'ROUTE-REFRESH'):('ydk.models.openconfig.openconfig_bgp_types', 'RouteRefreshIdentity'),
    ('openconfig-if-ethernet', 'ethernet-speed'):('ydk.models.openconfig.openconfig_if_ethernet', 'EthernetSpeedIdentity'),
    ('openconfig-if-ethernet', 'SPEED_100Gb'):('ydk.models.openconfig.openconfig_if_ethernet', 'Speed_100GbIdentity'),
    ('openconfig-if-ethernet', 'SPEED_100Mb'):('ydk.models.openconfig.openconfig_if_ethernet', 'Speed_100MbIdentity'),
    ('openconfig-if-ethernet', 'SPEED_10Gb'):('ydk.models.openconfig.openconfig_if_ethernet', 'Speed_10GbIdentity'),
    ('openconfig-if-ethernet', 'SPEED_10Mb'):('ydk.models.openconfig.openconfig_if_ethernet', 'Speed_10MbIdentity'),
    ('openconfig-if-ethernet', 'SPEED_1Gb'):('ydk.models.openconfig.openconfig_if_ethernet', 'Speed_1GbIdentity'),
    ('openconfig-if-ethernet', 'SPEED_25Gb'):('ydk.models.openconfig.openconfig_if_ethernet', 'Speed_25GbIdentity'),
    ('openconfig-if-ethernet', 'SPEED_40Gb'):('ydk.models.openconfig.openconfig_if_ethernet', 'Speed_40GbIdentity'),
    ('openconfig-if-ethernet', 'SPEED_50Gb'):('ydk.models.openconfig.openconfig_if_ethernet', 'Speed_50GbIdentity'),
    ('openconfig-if-ethernet', 'SPEED_UNKNOWN'):('ydk.models.openconfig.openconfig_if_ethernet', 'Speed_UnknownIdentity'),
    ('openconfig-mpls', 'explicitly-defined'):('ydk.models.openconfig.openconfig_mpls', 'ExplicitlyDefinedIdentity'),
    ('openconfig-mpls', 'externally-queried'):('ydk.models.openconfig.openconfig_mpls', 'ExternallyQueriedIdentity'),
    ('openconfig-mpls', 'locally-computed'):('ydk.models.openconfig.openconfig_mpls', 'LocallyComputedIdentity'),
    ('openconfig-mpls', 'path-computation-method'):('ydk.models.openconfig.openconfig_mpls', 'PathComputationMethodIdentity'),
    ('openconfig-mpls-types', 'ADMIN_DOWN'):('ydk.models.openconfig.openconfig_mpls_types', 'Admin_DownIdentity'),
    ('openconfig-mpls-types', 'ADMIN_UP'):('ydk.models.openconfig.openconfig_mpls_types', 'Admin_UpIdentity'),
    ('openconfig-mpls-types', 'DOWN'):('ydk.models.openconfig.openconfig_mpls_types', 'DownIdentity'),
    ('openconfig-mpls-types', 'EGRESS'):('ydk.models.openconfig.openconfig_mpls_types', 'EgressIdentity'),
    ('openconfig-mpls-types', 'EXPLICIT'):('ydk.models.openconfig.openconfig_mpls_types', 'ExplicitIdentity'),
    ('openconfig-mpls-types', 'IMPLICIT'):('ydk.models.openconfig.openconfig_mpls_types', 'ImplicitIdentity'),
    ('openconfig-mpls-types', 'INGRESS'):('ydk.models.openconfig.openconfig_mpls_types', 'IngressIdentity'),
    ('openconfig-mpls-types', 'link-node-protection-requested'):('ydk.models.openconfig.openconfig_mpls_types', 'LinkNodeProtectionRequestedIdentity'),
    ('openconfig-mpls-types', 'link-protection-requested'):('ydk.models.openconfig.openconfig_mpls_types', 'LinkProtectionRequestedIdentity'),
    ('openconfig-mpls-types', 'lsp-oper-status'):('ydk.models.openconfig.openconfig_mpls_types', 'LspOperStatusIdentity'),
    ('openconfig-mpls-types', 'lsp-role'):('ydk.models.openconfig.openconfig_mpls_types', 'LspRoleIdentity'),
    ('openconfig-mpls-types', 'null-label-type'):('ydk.models.openconfig.openconfig_mpls_types', 'NullLabelTypeIdentity'),
    ('openconfig-mpls-types', 'P2MP'):('ydk.models.openconfig.openconfig_mpls_types', 'P2MpIdentity'),
    ('openconfig-mpls-types', 'P2P'):('ydk.models.openconfig.openconfig_mpls_types', 'P2PIdentity'),
    ('openconfig-mpls-types', 'path-setup-ldp'):('ydk.models.openconfig.openconfig_mpls_types', 'PathSetupLdpIdentity'),
    ('openconfig-mpls-types', 'path-setup-protocol'):('ydk.models.openconfig.openconfig_mpls_types', 'PathSetupProtocolIdentity'),
    ('openconfig-mpls-types', 'path-setup-rsvp'):('ydk.models.openconfig.openconfig_mpls_types', 'PathSetupRsvpIdentity'),
    ('openconfig-mpls-types', 'path-setup-sr'):('ydk.models.openconfig.openconfig_mpls_types', 'PathSetupSrIdentity'),
    ('openconfig-mpls-types', 'protection-type'):('ydk.models.openconfig.openconfig_mpls_types', 'ProtectionTypeIdentity'),
    ('openconfig-mpls-types', 'TRANSIT'):('ydk.models.openconfig.openconfig_mpls_types', 'TransitIdentity'),
    ('openconfig-mpls-types', 'tunnel-admin-status'):('ydk.models.openconfig.openconfig_mpls_types', 'TunnelAdminStatusIdentity'),
    ('openconfig-mpls-types', 'tunnel-type'):('ydk.models.openconfig.openconfig_mpls_types', 'TunnelTypeIdentity'),
    ('openconfig-mpls-types', 'unprotected'):('ydk.models.openconfig.openconfig_mpls_types', 'UnprotectedIdentity'),
    ('openconfig-mpls-types', 'UP'):('ydk.models.openconfig.openconfig_mpls_types', 'UpIdentity'),
    ('openconfig-platform-types', 'BACKPLANE'):('ydk.models.openconfig.openconfig_platform_types', 'BackplaneIdentity'),
    ('openconfig-platform-types', 'CHASSIS'):('ydk.models.openconfig.openconfig_platform_types', 'ChassisIdentity'),
    ('openconfig-platform-types', 'CPU'):('ydk.models.openconfig.openconfig_platform_types', 'CpuIdentity'),
    ('openconfig-platform-types', 'FAN'):('ydk.models.openconfig.openconfig_platform_types', 'FanIdentity'),
    ('openconfig-platform-types', 'LINECARD'):('ydk.models.openconfig.openconfig_platform_types', 'LinecardIdentity'),
    ('openconfig-platform-types', 'MODULE'):('ydk.models.openconfig.openconfig_platform_types', 'ModuleIdentity'),
    ('openconfig-platform-types', 'OPENCONFIG_HARDWARE_COMPONENT'):('ydk.models.openconfig.openconfig_platform_types', 'Openconfig_Hardware_ComponentIdentity'),
    ('openconfig-platform-types', 'OPENCONFIG_SOFTWARE_COMPONENT'):('ydk.models.openconfig.openconfig_platform_types', 'Openconfig_Software_ComponentIdentity'),
    ('openconfig-platform-types', 'OPERATING_SYSTEM'):('ydk.models.openconfig.openconfig_platform_types', 'Operating_SystemIdentity'),
    ('openconfig-platform-types', 'PORT'):('ydk.models.openconfig.openconfig_platform_types', 'PortIdentity'),
    ('openconfig-platform-types', 'POWER_SUPPLY'):('ydk.models.openconfig.openconfig_platform_types', 'Power_SupplyIdentity'),
    ('openconfig-platform-types', 'SENSOR'):('ydk.models.openconfig.openconfig_platform_types', 'SensorIdentity'),
    ('openconfig-platform-types', 'TRANSCEIVER'):('ydk.models.openconfig.openconfig_platform_types', 'TransceiverIdentity'),
    ('openconfig-policy-types', 'attribute-comparison'):('ydk.models.openconfig.openconfig_policy_types', 'AttributeComparisonIdentity'),
    ('openconfig-policy-types', 'attribute-eq'):('ydk.models.openconfig.openconfig_policy_types', 'AttributeEqIdentity'),
    ('openconfig-policy-types', 'attribute-ge'):('ydk.models.openconfig.openconfig_policy_types', 'AttributeGeIdentity'),
    ('openconfig-policy-types', 'attribute-le'):('ydk.models.openconfig.openconfig_policy_types', 'AttributeLeIdentity'),
    ('openconfig-policy-types', 'BGP'):('ydk.models.openconfig.openconfig_policy_types', 'BgpIdentity'),
    ('openconfig-policy-types', 'DIRECTLY-CONNECTED'):('ydk.models.openconfig.openconfig_policy_types', 'DirectlyConnectedIdentity'),
    ('openconfig-policy-types', 'install-protocol-type'):('ydk.models.openconfig.openconfig_policy_types', 'InstallProtocolTypeIdentity'),
    ('openconfig-policy-types', 'ISIS'):('ydk.models.openconfig.openconfig_policy_types', 'IsisIdentity'),
    ('openconfig-policy-types', 'LOCAL-AGGREGATE'):('ydk.models.openconfig.openconfig_policy_types', 'LocalAggregateIdentity'),
    ('openconfig-policy-types', 'OSPF3'):('ydk.models.openconfig.openconfig_policy_types', 'Ospf3Identity'),
    ('openconfig-policy-types', 'OSPF'):('ydk.models.openconfig.openconfig_policy_types', 'OspfIdentity'),
    ('openconfig-policy-types', 'STATIC'):('ydk.models.openconfig.openconfig_policy_types', 'StaticIdentity'),
    ('openconfig-transport-types', 'CFP2'):('ydk.models.openconfig.openconfig_transport_types', 'Cfp2Identity'),
    ('openconfig-transport-types', 'CFP2_ACO'):('ydk.models.openconfig.openconfig_transport_types', 'Cfp2_AcoIdentity'),
    ('openconfig-transport-types', 'CFP4'):('ydk.models.openconfig.openconfig_transport_types', 'Cfp4Identity'),
    ('openconfig-transport-types', 'CFP'):('ydk.models.openconfig.openconfig_transport_types', 'CfpIdentity'),
    ('openconfig-transport-types', 'ETH_100G_ACC'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_100G_AccIdentity'),
    ('openconfig-transport-types', 'ETH_100G_AOC'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_100G_AocIdentity'),
    ('openconfig-transport-types', 'ETH_100GBASE_CLR4'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_100Gbase_Clr4Identity'),
    ('openconfig-transport-types', 'ETH_100GBASE_CR4'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_100Gbase_Cr4Identity'),
    ('openconfig-transport-types', 'ETH_100GBASE_CWDM4'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_100Gbase_Cwdm4Identity'),
    ('openconfig-transport-types', 'ETH_100GBASE_ER4'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_100Gbase_Er4Identity'),
    ('openconfig-transport-types', 'ETH_100GBASE_LR4'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_100Gbase_Lr4Identity'),
    ('openconfig-transport-types', 'ETH_100GBASE_PSM4'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_100Gbase_Psm4Identity'),
    ('openconfig-transport-types', 'ETH_100GBASE_SR10'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_100Gbase_Sr10Identity'),
    ('openconfig-transport-types', 'ETH_100GBASE_SR4'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_100Gbase_Sr4Identity'),
    ('openconfig-transport-types', 'ETH_10GBASE_ER'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_10Gbase_ErIdentity'),
    ('openconfig-transport-types', 'ETH_10GBASE_LR'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_10Gbase_LrIdentity'),
    ('openconfig-transport-types', 'ETH_10GBASE_LRM'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_10Gbase_LrmIdentity'),
    ('openconfig-transport-types', 'ETH_10GBASE_SR'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_10Gbase_SrIdentity'),
    ('openconfig-transport-types', 'ETH_10GBASE_ZR'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_10Gbase_ZrIdentity'),
    ('openconfig-transport-types', 'ETH_40GBASE_CR4'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_40Gbase_Cr4Identity'),
    ('openconfig-transport-types', 'ETH_40GBASE_ER4'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_40Gbase_Er4Identity'),
    ('openconfig-transport-types', 'ETH_40GBASE_LR4'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_40Gbase_Lr4Identity'),
    ('openconfig-transport-types', 'ETH_40GBASE_PSM4'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_40Gbase_Psm4Identity'),
    ('openconfig-transport-types', 'ETH_40GBASE_SR4'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_40Gbase_Sr4Identity'),
    ('openconfig-transport-types', 'ETH_4X10GBASE_LR'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_4X10Gbase_LrIdentity'),
    ('openconfig-transport-types', 'ETH_4X10GBASE_SR'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_4X10Gbase_SrIdentity'),
    ('openconfig-transport-types', 'ETH_UNDEFINED'):('ydk.models.openconfig.openconfig_transport_types', 'Eth_UndefinedIdentity'),
    ('openconfig-transport-types', 'ETHERNET_PMD_TYPE'):('ydk.models.openconfig.openconfig_transport_types', 'Ethernet_Pmd_TypeIdentity'),
    ('openconfig-transport-types', 'FIBER_CONNECTOR_TYPE'):('ydk.models.openconfig.openconfig_transport_types', 'Fiber_Connector_TypeIdentity'),
    ('openconfig-transport-types', 'LC_CONNECTOR'):('ydk.models.openconfig.openconfig_transport_types', 'Lc_ConnectorIdentity'),
    ('openconfig-transport-types', 'LOGICAL_ELEMENT_PROTOCOL_TYPE'):('ydk.models.openconfig.openconfig_transport_types', 'Logical_Element_Protocol_TypeIdentity'),
    ('openconfig-transport-types', 'MPO_CONNECTOR'):('ydk.models.openconfig.openconfig_transport_types', 'Mpo_ConnectorIdentity'),
    ('openconfig-transport-types', 'NON_PLUGGABLE'):('ydk.models.openconfig.openconfig_transport_types', 'Non_PluggableIdentity'),
    ('openconfig-transport-types', 'OPTICAL_CHANNEL'):('ydk.models.openconfig.openconfig_transport_types', 'Optical_ChannelIdentity'),
    ('openconfig-transport-types', 'OTHER'):('ydk.models.openconfig.openconfig_transport_types', 'OtherIdentity'),
    ('openconfig-transport-types', 'OTN_APPLICATION_CODE'):('ydk.models.openconfig.openconfig_transport_types', 'Otn_Application_CodeIdentity'),
    ('openconfig-transport-types', 'OTN_UNDEFINED'):('ydk.models.openconfig.openconfig_transport_types', 'Otn_UndefinedIdentity'),
    ('openconfig-transport-types', 'P1L1_2D1'):('ydk.models.openconfig.openconfig_transport_types', 'P1L1_2D1Identity'),
    ('openconfig-transport-types', 'P1L1_2D2'):('ydk.models.openconfig.openconfig_transport_types', 'P1L1_2D2Identity'),
    ('openconfig-transport-types', 'P1S1_2D2'):('ydk.models.openconfig.openconfig_transport_types', 'P1S1_2D2Identity'),
    ('openconfig-transport-types', 'PROT_100G_MLG'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_100G_MlgIdentity'),
    ('openconfig-transport-types', 'PROT_100GE'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_100GeIdentity'),
    ('openconfig-transport-types', 'PROT_10GE_LAN'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_10Ge_LanIdentity'),
    ('openconfig-transport-types', 'PROT_10GE_WAN'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_10Ge_WanIdentity'),
    ('openconfig-transport-types', 'PROT_1GE'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_1GeIdentity'),
    ('openconfig-transport-types', 'PROT_40GE'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_40GeIdentity'),
    ('openconfig-transport-types', 'PROT_ETHERNET'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_EthernetIdentity'),
    ('openconfig-transport-types', 'PROT_OC192'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_Oc192Identity'),
    ('openconfig-transport-types', 'PROT_OC48'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_Oc48Identity'),
    ('openconfig-transport-types', 'PROT_OC768'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_Oc768Identity'),
    ('openconfig-transport-types', 'PROT_ODU2E'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_Odu2EIdentity'),
    ('openconfig-transport-types', 'PROT_ODU2'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_Odu2Identity'),
    ('openconfig-transport-types', 'PROT_ODU3'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_Odu3Identity'),
    ('openconfig-transport-types', 'PROT_ODU4'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_Odu4Identity'),
    ('openconfig-transport-types', 'PROT_OTN'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_OtnIdentity'),
    ('openconfig-transport-types', 'PROT_OTU1E'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_Otu1EIdentity'),
    ('openconfig-transport-types', 'PROT_OTU2E'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_Otu2EIdentity'),
    ('openconfig-transport-types', 'PROT_OTU2'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_Otu2Identity'),
    ('openconfig-transport-types', 'PROT_OTU3'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_Otu3Identity'),
    ('openconfig-transport-types', 'PROT_OTU4'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_Otu4Identity'),
    ('openconfig-transport-types', 'PROT_OTUCN'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_OtucnIdentity'),
    ('openconfig-transport-types', 'PROT_STM16'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_Stm16Identity'),
    ('openconfig-transport-types', 'PROT_STM256'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_Stm256Identity'),
    ('openconfig-transport-types', 'PROT_STM64'):('ydk.models.openconfig.openconfig_transport_types', 'Prot_Stm64Identity'),
    ('openconfig-transport-types', 'QSFP28'):('ydk.models.openconfig.openconfig_transport_types', 'Qsfp28Identity'),
    ('openconfig-transport-types', 'QSFP'):('ydk.models.openconfig.openconfig_transport_types', 'QsfpIdentity'),
    ('openconfig-transport-types', 'SC_CONNECTOR'):('ydk.models.openconfig.openconfig_transport_types', 'Sc_ConnectorIdentity'),
    ('openconfig-transport-types', 'SFP'):('ydk.models.openconfig.openconfig_transport_types', 'SfpIdentity'),
    ('openconfig-transport-types', 'SFP_PLUS'):('ydk.models.openconfig.openconfig_transport_types', 'Sfp_PlusIdentity'),
    ('openconfig-transport-types', 'SONET_APPLICATION_CODE'):('ydk.models.openconfig.openconfig_transport_types', 'Sonet_Application_CodeIdentity'),
    ('openconfig-transport-types', 'SONET_UNDEFINED'):('ydk.models.openconfig.openconfig_transport_types', 'Sonet_UndefinedIdentity'),
    ('openconfig-transport-types', 'TRANSCEIVER_FORM_FACTOR_TYPE'):('ydk.models.openconfig.openconfig_transport_types', 'Transceiver_Form_Factor_TypeIdentity'),
    ('openconfig-transport-types', 'TRIB_RATE_100G'):('ydk.models.openconfig.openconfig_transport_types', 'Trib_Rate_100GIdentity'),
    ('openconfig-transport-types', 'TRIB_RATE_10G'):('ydk.models.openconfig.openconfig_transport_types', 'Trib_Rate_10GIdentity'),
    ('openconfig-transport-types', 'TRIB_RATE_1G'):('ydk.models.openconfig.openconfig_transport_types', 'Trib_Rate_1GIdentity'),
    ('openconfig-transport-types', 'TRIB_RATE_2.5G'):('ydk.models.openconfig.openconfig_transport_types', 'Trib_Rate_2__Dot__5GIdentity'),
    ('openconfig-transport-types', 'TRIB_RATE_40G'):('ydk.models.openconfig.openconfig_transport_types', 'Trib_Rate_40GIdentity'),
    ('openconfig-transport-types', 'TRIBUTARY_PROTOCOL_TYPE'):('ydk.models.openconfig.openconfig_transport_types', 'Tributary_Protocol_TypeIdentity'),
    ('openconfig-transport-types', 'TRIBUTARY_RATE_CLASS_TYPE'):('ydk.models.openconfig.openconfig_transport_types', 'Tributary_Rate_Class_TypeIdentity'),
    ('openconfig-transport-types', 'VSR2000_3R2'):('ydk.models.openconfig.openconfig_transport_types', 'Vsr2000_3R2Identity'),
    ('openconfig-transport-types', 'VSR2000_3R3'):('ydk.models.openconfig.openconfig_transport_types', 'Vsr2000_3R3Identity'),
    ('openconfig-transport-types', 'VSR2000_3R5'):('ydk.models.openconfig.openconfig_transport_types', 'Vsr2000_3R5Identity'),
    ('openconfig-transport-types', 'X2'):('ydk.models.openconfig.openconfig_transport_types', 'X2Identity'),
    ('openconfig-transport-types', 'XFP'):('ydk.models.openconfig.openconfig_transport_types', 'XfpIdentity'),
    ('openconfig-types', 'ADDRESS_FAMILY'):('ydk.models.openconfig.openconfig_types', 'Address_FamilyIdentity'),
    ('openconfig-types', 'IPV4'):('ydk.models.openconfig.openconfig_types', 'Ipv4Identity'),
    ('openconfig-types', 'IPV6'):('ydk.models.openconfig.openconfig_types', 'Ipv6Identity'),
}

_namespace_package_map = { \
('http://openconfig.net/yang/bgp', 'bgp') : 'from ydk.models.openconfig.openconfig_bgp import Bgp', 
('http://openconfig.net/yang/interfaces', 'interfaces') : 'from ydk.models.openconfig.openconfig_interfaces import Interfaces', 
('http://openconfig.net/yang/mpls', 'mpls') : 'from ydk.models.openconfig.openconfig_mpls import Mpls', 
('http://openconfig.net/yang/platform', 'components') : 'from ydk.models.openconfig.openconfig_platform import Components', 
('http://openconfig.net/yang/routing-policy', 'routing-policy') : 'from ydk.models.openconfig.openconfig_routing_policy import RoutingPolicy', 
('http://openconfig.net/yang/telemetry', 'telemetry-system') : 'from ydk.models.openconfig.openconfig_telemetry import TelemetrySystem', 
('http://openconfig.net/yang/vlan', 'vlans') : 'from ydk.models.openconfig.openconfig_vlan import Vlans', 
}

